#!/usr/bin/env python
#coding = utf8
'''
   file: demo.py
   author : yorkxyzhang
   date : 2017-5-25
'''


import sys
import os
import threading
import time
from config import CfgParser

sys.path.insert(0,os.path.dirname(os.path.abspath(__file__)) + "/..")

from cmq.account import Account
from cmq.queue import *
from cmq.topic import *
from cmq.cmq_exception import *





if __name__ == '__main__':
    '''


    '''
    secretKey =
    secretId  =
    endpoint ='http://cmq-topic-gz.api.tencentyun.com'
    account = Account(endpoint,secretId, secretKey)

    queueName ="test"
    queue = account.get_queue(queueName)
    queue_meta = QueueMeta()
    queue_meta.visibilityTimeout = 2
    queue_meta.queueName = queueName
    try:
        queue.create(queue_meta)
        print 'create queue success '
    except CMQExceptionBase,e:
        print e


    try:
        msg=Message('test message')
        queue.send_message(msg)
    except CMQExceptionBase,e:
        print e

    try:
        recv_msg = queue.receive_message(10)
        print 'receive message :\n %s' % recv_msg
        time.sleep(3)
        queue.delete_message(recv_msg.receiptHandle)
    except CMQExceptionBase,e:
        print e

    try:
        queue.delete()
    except CMQExceptionBase,e:
        print e

